"Usage: opari2 [OPTION] ... infile [outfile]\n"
"            \n"
"with following options and parameters:\n"
"\n"
"[--f77|--f90|--c|--c++]  [OPTIONAL] Specifies the programming language\n"
"                         of the input source file. This option is only\n"
"                         necessary if the automatic language detection\n"
"                         based on the input file suffix fails.\n"
"\n"
"[--free-form]		 [OPTIONAL] Specifies that free formating is\n"
"                         used for Fortran source files. This is the \n"
"                         default for Fortran 90/95.\n"
"\n"
"[--fix-form]		 [OPTIONAL] Specifies that fixed formating is\n"
"                         used for Fortran source files. This is the\n"
"                         default for Fortran 77.\n"
"\n"
"[--nosrc]                [OPTIONAL] If specified, OPARI2 does not\n"
"                         generate #line constructs, which allow to\n"
"                         preserve the original source file and line\n"
"                         number information, in the transformation\n"
"                         process. This option might be necessary if\n"
"                         the OpenMP compiler does not understand #line\n"
"                         constructs.  The default is to generate #line\n"
"                         constructs.\n"
"\n"
"[--nodecl]               [OPTIONAL] Disables the generation of \n"
"                         POMP2_DLISTXXXXX macros. These are used in the\n"
"                         parallel directives of the instrumentation to \n"
"                         make the region handles shared. By using this\n"
"                         option the shared clause is used directly on\n"
"                         the parallel directive with the resprective\n"
"                         region handles.\n"
"\n"
"[--tpd]                  [OPTIONAL] Adds the clause 'copyin(<pomp_tpd>)'\n"
"                         to any parallel construct. This allows to\n"
"                         pass data from the creating thread to its\n"
"                         children. The variable is declared externally\n"
"                         in all files, so it needs to be defined by\n"
"                         the pomp library.\n"
"\n"
"[--disable=<constructs>] [OPTIONAL] Disable the instrumentation of\n"
"                         manually-annotated POMP regions or the more\n"
"                         fine-grained OpenMP constructs such as !$OMP\n"
"                         ATOMIC. <constructs> is a comma separated\n"
"                         list of the constructs for which the\n"
"                         instrumentation should be disabled.  Accepted\n"
"                         tokens are atomic, critical, master, flush,\n"
"                         single, ordered or locks (as well as sync to\n"
"                         disable all of them). Furthermore task, omp,\n"
"                         and region are accepted.\n"
"\n"
"[--task=                 Special treatment for the task directive\n"
"      abort|warn|remove] abort:  Stop instrumentation with an error\n"
"                                 message when encountering a task\n"
"                                 directive.\n"
"                         warn:   Resume but print a warning.\n"
"                         remove: Remove all task directives.\n"
"\n"
"[--untied=               Special treatment for the untied task attribute.\n"
"     abort|keep|no-warn] The default beavior is to remove the untied\n"
"                         attribute, thus making all tasks tied, and print\n"
"                         out a warning.\n"
"                         abort:   Stop instrumentation with an error\n"
"                                  message when encountering a task \n"
"                                  directive with the untied attribute.\n"
"                         keep:    Do not remove the untied attribute.\n"
"                         no-warn: Do not print out a warning.\n"
"\n"
"[--tpd-mangling=         [OPTIONAL] If programming languages are mixed\n"
" gnu|intel|sun|pgi|      (C and Fortran), the <pomp_tpd> needs to use\n"
" ibm|cray]               the Fortran mangled name also in C files.\n"
"                         This option specifies to use the mangling\n"
"                         scheme of the gnu, intel, sun, pgi or ibm\n"
"                         compiler. The default is to use the mangling\n"
"                         scheme of the compiler used to build opari2.\n"
"\n"
"[--preprocessed]         [OPTIONAL] Indicates that the source file is \n"
"                         already preprocessed. It requires that \n"
"                         pomp2_lib.h is already included. Furthermore, \n"
"                         it requires the marker ___POMP2_INCLUDE___\n"
"                         immediately after the included pomp2_lib.h file.\n"
"\n"
"[--version]              [OPTIONAL] Prints version information.\n"
"\n"
"[--help]                 [OPTIONAL] Prints this help text.\n"
"\n"
"infile                   Input file name.\n"
"\n"
"[outfile]                [OPTIONAL] Output file name. If not\n"
"                         specified, opari2 uses the name\n"
"                          infile.mod.suffix if the input file is\n"
"                         called infile.suffix.\n"
"\n"
"Report bugs to <support@score-p.org>.\n"
